class Queue:
    """
    Python implementation the queue
    """

    def __init__(self):
        self.items = []

    def is_empty(self):
        return self.items == []

    def enqueue(self, item):
        self.items.insert(0, item)

    def dequeue(self):
        return self.items.pop()

    def size(self):
        return len(self.items)


if __name__ == '__main__':
    q = Queue()
    
    outputs = []

    inputStr = "EAS*Y*QUE***ST***IO*N***"
    for c in inputStr:
        if c == "*":
            outputs.append(q.dequeue())
        else:
            q.enqueue(c)

    print(outputs)
