class TreeNode:
    def __init__(self, key):
        self.left = None
        self.right = None
        self.val = key

def is_valid_bst(node):
    # check if there is only one child
    if node.left is None or node.right is None:
        return True

    if node.left.val > node.right.val:
        return False
    
    if node.left:
        return is_valid_bst(node.left)
    if node.right:
        return is_valid_bst(node.right)
    else:
        return True
    
# Usage
root = TreeNode(2)
root.left = TreeNode(1)
root.right = TreeNode(3)
root.right.right = TreeNode(1)
print(is_valid_bst(root)) # Should return True