#!/usr/bin/env python3

class Memories:
    def __init__(self, **kwargs):
        for key, val in kwargs.items():
            setattr(self, key, val)

    def remember(self, key):
        return getattr(self, key, False)

person1 = Memories(name='Tom', age=32, salary=50000)

salary = person1.remember('salary') #➞ 50000
print(salary)
email = person1.remember('email') #➞ False
print(email)
