class Queue:
    """
    Python implementation the queue
    """

    def __init__(self):
        self.items = []

    def is_empty(self):
        return self.items == []

    def enqueue(self, item):
        self.items.insert(0, item)

    def dequeue(self):
        return self.items.pop()

    def size(self):
        return len(self.items)

def gen_bin(n):
    q = Queue()
    binNums = []

    # Queue the first binary number (1)
    q.enqueue("1")
    for i in range(n):
        num = q.dequeue()
        binNums.append(num)

        q.enqueue(num + "0")
        q.enqueue(num + "1")

    return binNums

if __name__ == '__main__':
    result = gen_bin(16)
    print(result)
