# Node Class
class Node:
    def __init__(self, data) -> None:
        self.data = data
        self.next = None

    def find(self, target):
        current = self
        while current.data != target:
            current = current.next
        return current

head = Node("Dublin")
another_node = Node("Galway")
head.next = another_node
a_third_node = Node("Cork")
another_node.next = a_third_node

result = head.find("Galway")
print(result.data) # → Galway