class TreeNode:
    def __init__(self, key):
        self.left = None
        self.right = None
        self.val = key

def insert(root, key) -> TreeNode:
    current = root
    while True:
        if key <= current.val:
            if current.left is None:
                current.left = TreeNode(key)
                print(f"inserted {key} on left of node {current.val}")
                break
            else:
                current = current.left
        else:
            if current.right is None:
                current.right = TreeNode(key)
                print(f"inserted {key} on right of node {current.val}")
                break
            else:
                current = current.right

    return root


# Usage
root = TreeNode(10)
root = insert(root, 5)
root = insert(root, 15)
root = insert(root, 2)
root = insert(root, 4)
root = insert(root, 1)
root = insert(root, 20)
root = insert(root, 30)