"""
(From Week 4 Q2)
2. Write a function using the queue data structure to generate a sequence of binary numbers from 1 to n. 

Example:

Given n=16 the binary sequence is: 1 10 11 100 101 110 111 1000 1001 1010 1011 1100 1101 1110 1111 10000
"""

class Queue:
    """
    Python implementation the queue
    """

    def __init__(self):
        self.items = []

    def is_empty(self):
        return self.items == []

    def enqueue(self, item):
        self.items.insert(0, item)

    def dequeue(self):
        return self.items.pop()

    def size(self):
        return len(self.items)

def genNumbers(n=16):
    queue = Queue()

    queue.enqueue("1")
    
    curr = None
    resultList = list()

    for _ in range(n):
        curr = queue.dequeue()
        
        queue.enqueue(curr + "0")
        queue.enqueue(curr + "1")

        resultList.append(curr)
    return resultList

print(genNumbers())